<?
require'../sys/conf.php';
$tm=time();$max=3000;
////////////////////////////////////////////////////////////
$rn = qw("SELECT * FROM rynok WHERE tovar='1'");
while($n = mysql_fetch_array($rn)){
if($n[cena]==12){
if($n[kolvo]>$max){
$res1=$n[kolvo]-$max;$zab1=$max;$den1=$zab1*12;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','Японцы купили у вас $zab1 железа!')");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'Авторынок купил у вас $zab1 железа!')");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
qw("UPDATE rynok SET kolvo='$res1' WHERE id='$n[id]'");
}else{
$res1=0;$zab1=$n[kolvo];$den1=$zab1*12;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','Японцы купили у вас всё железо!')");
qw("DELETE FROM rynok WHERE id='$n[id]'");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'Японцы купили у вас $zab1 железа!')");
}}}
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
$rn = qw("SELECT * FROM rynok WHERE tovar='2'");
while($n = mysql_fetch_array($rn)){
if($n[cena]==3){
if($n[kolvo]>$max){
$res1=$n[kolvo]-$max;$zab1=$max;$den1=$zab1*3;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','Китайцы купили у вас $zab1 камня!')");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
qw("UPDATE rynok SET kolvo='$res1' WHERE id='$n[id]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'Китайцы купили у вас $zab1 камня!')");
}else{
$res1=0;$zab1=$n[kolvo];$den1=$zab1*3;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','Китайцы купили у вас весь камень!')");
qw("DELETE FROM rynok WHERE id='$n[id]'");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'Китайцы купили у вас $zab1 камня!')");
}}}
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
$rn = qw("SELECT * FROM rynok WHERE tovar='3'");
while($n = mysql_fetch_array($rn)){
if($n[cena]==1){
if($n[kolvo]>$max){
$res1=$n[kolvo]-$max;$zab1=$max;$den1=$zab1*1;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','Африканцы купили у вас $zab1 дерева!')");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
qw("UPDATE rynok SET kolvo='$res1' WHERE id='$n[id]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'Африканцы купили у вас $zab1 дерева!')");
}else{
$res1=0;$zab1=$n[kolvo];$den1=$zab1*1;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','Африканцы купили у вас всё дерево!')");
qw("DELETE FROM rynok WHERE id='$n[id]'");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'Авторынок купил у вас $zab1 дерева!')");
}}}
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
$rn = qw("SELECT * FROM rynok WHERE tovar='4'");
while($n = mysql_fetch_array($rn)){
if($n[cena]==20){
if($n[kolvo]>$max){
$res1=$n[kolvo]-$max;$zab1=$max;$den1=$zab1*20;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','Пиндосы купили у вас $zab1 нефти!')");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
qw("UPDATE rynok SET kolvo='$res1' WHERE id='$n[id]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'Авторынок купил у вас $zab1 нефти!')");
}else{
$res1=0;$zab1=$n[kolvo];$den1=$zab1*20;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','Пиндосы купили у вас всю нефть!')");
qw("DELETE FROM rynok WHERE id='$n[id]'");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'Пиндосы купили у вас $zab1 нефти!')");
}}}
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
$rn = qw("SELECT * FROM rynok WHERE tovar='5'");
while($n = mysql_fetch_array($rn)){
if($n[cena]==1){
if($n[kolvo]>$max){
$res1=$n[kolvo]-$max;$zab1=$max;$den1=$zab1*1;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','ГосЗапасник купил у вас $zab1 зерна!')");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
qw("UPDATE rynok SET kolvo='$res1' WHERE id='$n[id]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'ГосЗапасник купил у вас $zab1 зерна!')");
}else{
$res1=0;$zab1=$n[kolvo];$den1=$zab1*1;
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$n[strana]','@','$tm','0','0','ГосЗапасник купил у вас всё зерно!')");
qw("DELETE FROM rynok WHERE id='$n[id]'");
qw("UPDATE gos2 SET dengi=dengi+'$den1' WHERE strana='$n[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$n[strana]',
'ГосЗапасник купил у вас $zab1 зерна!')");
}}}
////////////////////////////////////////////////////////////

?>